from utils import randbool
# 0 - нет облака
# 1 - обычное облако
# 2 - грозовое облако

class Clouds: # карта облаков 
    def __init__(self, w, h):
        self.w = w
        self.h = h
        self.cells = [[0 for k in range(w)]for j in range(h)]

    def update(self, r=1, mxr=20, g=1, mxg=10):  # Вероятность обычных и грозовых облаков
        for i in range(self.h):
            for j in range(self.w):
                if randbool(r, mxr): # генерим облока
                    self.cells[i][j] = 1
                    if randbool(g, mxg):
                        self.cells[i][j] = 2 # генерим некоторые обычные облока в грозовые
                else:
                    self.cells[i][j] = 0

    def export_data(self): # для сохранения карты облаков
        return {"cells": self.cells}

    def import_data(self, data): # восстанавливаем карту облаков из файла
        self.cells = data['cells'] or [[0 for i in range(self.w)] for j in range(self.h)]
